Subject: Re: [lojban] Group Document Editing?

From: Robin Lee Powell <[email-masked]>
Date: Fri, 13 Apr 2001 15:52:40 -0700

On Fri, Apr 13, 2001 at 04:06:42PM -0600, Jay Kominek wrote:
> 
> On Fri, 13 Apr 2001, Robert J. Chassell wrote:
> 
> > TeXinfo isn't terribly manipulable, IMO, but easy enough to output, I
> > should think.
> >
> > You are right, it is easy to output. What I am curious about is your
> > comment that it "isn't terribly manipulable".
> 
> I think you went off in the wrong direction. :)
> 
> What I meant was that I wouldn't want to have to parse TeXinfo everytime I
> wanted to load the database.

You wouldn't have to. I'd be parsing it into other thing (including
HTML) on a regular basis (daily, maybe even hourly).

> Sure, it'd be easier than parsing free-form TeXinfo since presumably I'd
> be parsing something I'd output myself, so it'd be a matter of regular
> expressions, but why even have to do that much when one could store the
> data in, say, a Perl data structure that you require in (I like Perl, in
> case the list population had not yet noticed), or simply in a SQL
> database.

I like that last option. SQL's cool.

> > [... Discussion of why TeXinfo is The Thing To Use ...]
> 
> Should I write this web editable dictionary thing (I've not seen any mail
> public or private from people telling me that they're interested in using
> it and that it'll be the greatest thing since store-bought sliced bread :)

I think it'd rock pretty damn hard, myself. I've just been busy trying
to find ***SOMETHING*** to use for collaborating on large translations.
I really thing lojban needs to tranlate something big to prove our
viability.

> then I'll probably make some effort to provide the output in every
> format which the combination of a Perl script and an external utility
> can provide. (Docbook, HTML, ASCII, TeXInfo, PDF, PS, RTF(?), XML,
> etc, etc...)

Heh heh. Conversion _good_. Although I'm happy to do that aspect of it
if you give me a good output format.

> - Jay Kominek <[email-masked]>
> X is the second worst windowing system in the
> world, but all the others are tied for first.

Dude, I so disagree. X is a total piece of bloatware crap.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/